zenilib: AF_EdgeRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
AF_EdgeRec_ Struct Reference

`#include <afhints.h>`

## Public Attributes

AF_Width | blue_edge
FT_Char | dir
AF_Segment | first
FT_Byte | flags
FT_Short | fpos
AF_Segment | last
AF_Edge | link
FT_Short | num_linked
FT_Pos | opos
FT_Pos | pos
FT_Fixed | scale
FT_Int | score
AF_Edge | serif

## Detailed Description

Definition at line 291 of file afhints.h.

## Member Data Documentation

AF_Width AF_EdgeRec_::blue_edge

Definition at line 300 of file afhints.h.

Referenced by af_latin2_hint_edges(), af_latin2_hints_compute_blue_edges(), af_latin_hint_edges(), and af_latin_hints_compute_blue_edges().

FT_Char AF_EdgeRec_::dir

Definition at line 298 of file afhints.h.

Referenced by af_axis_hints_new_edge(), af_latin2_hints_compute_blue_edges(), af_latin2_hints_compute_edges(), af_latin_hints_compute_blue_edges(), and af_latin_hints_compute_edges().

AF_Segment AF_EdgeRec_::first

Definition at line 307 of file afhints.h.

Referenced by af_latin2_hints_compute_edges(), and af_latin_hints_compute_edges().

FT_Byte AF_EdgeRec_::flags

Definition at line 297 of file afhints.h.

Referenced by af_latin2_align_linked_edge(), af_latin2_hint_edges(), af_latin2_hints_compute_blue_edges(), af_latin2_hints_compute_edges(), af_latin_align_linked_edge(), af_latin_hint_edges(), af_latin_hints_compute_blue_edges(), and af_latin_hints_compute_edges().

FT_Short AF_EdgeRec_::fpos

Definition at line 293 of file afhints.h.

Referenced by af_axis_hints_new_edge(), af_glyph_hints_align_strong_points(), af_latin2_hints_compute_blue_edges(), af_latin2_hints_compute_edges(), af_latin_hints_compute_blue_edges(), and af_latin_hints_compute_edges().

AF_Segment AF_EdgeRec_::last

Definition at line 308 of file afhints.h.

Referenced by af_latin2_hints_compute_edges(), and af_latin_hints_compute_edges().

AF_Edge AF_EdgeRec_::link

Definition at line 302 of file afhints.h.

Referenced by af_latin2_hint_edges(), af_latin2_hints_compute_edges(), af_latin_hint_edges(), and af_latin_hints_compute_edges().

FT_Short AF_EdgeRec_::num_linked

Definition at line 304 of file afhints.h.

FT_Pos AF_EdgeRec_::opos

Definition at line 294 of file afhints.h.

Referenced by af_glyph_hints_align_strong_points(), af_latin2_align_linked_edge(), af_latin2_align_serif_edge(), af_latin2_hint_edges(), af_latin2_hints_compute_edges(), af_latin_align_linked_edge(), af_latin_align_serif_edge(), af_latin_hint_edges(), af_latin_hints_compute_edges(), and af_loader_load_g().

FT_Pos AF_EdgeRec_::pos

Definition at line 295 of file afhints.h.

Referenced by af_glyph_hints_align_edge_points(), af_glyph_hints_align_strong_points(), af_latin2_align_linked_edge(), af_latin2_align_serif_edge(), af_latin2_hint_edges(), af_latin2_hints_compute_edges(), af_latin_align_linked_edge(), af_latin_align_serif_edge(), af_latin_hint_edges(), af_latin_hints_compute_edges(), and af_loader_load_g().

FT_Fixed AF_EdgeRec_::scale

Definition at line 299 of file afhints.h.

Referenced by af_glyph_hints_align_strong_points().

FT_Int AF_EdgeRec_::score

Definition at line 305 of file afhints.h.

AF_Edge AF_EdgeRec_::serif

Definition at line 303 of file afhints.h.

Referenced by af_latin2_hint_edges(), af_latin2_hints_compute_edges(), af_latin_hint_edges(), and af_latin_hints_compute_edges().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/autofit/afhints.h